FIX::PUGIXML_DOMAttributes Class Reference

XML attribute as represented by pugixml. More...

`#include <PUGIXML_DOMDocument.h>`

Inheritance diagram for FIX::PUGIXML_DOMAttributes:
[legend]
Collaboration diagram for FIX::PUGIXML_DOMAttributes:
[legend]

## Public Member Functions

| PUGIXML_DOMAttributes (pugi::xml_node pNode)
bool | get (const std::string &, std::string &)
DOMAttributes::map | toMap ()
Public Member Functions inherited from FIX::DOMAttributes
virtual | ~DOMAttributes ()

## Private Attributes

pugi::xml_node | m_pNode

## Additional Inherited Members

Public Types inherited from FIX::DOMAttributes
typedef std::map< std::string, std::string > | map

## Detailed Description

XML attribute as represented by pugixml.

Definition at line 32 of file PUGIXML_DOMDocument.h.

## Constructor & Destructor Documentation

## PUGIXML_DOMAttributes()

FIX::PUGIXML_DOMAttributes::PUGIXML_DOMAttributes | ( | pugi::xml_node | pNode | ) |

inline

Definition at line 35 of file PUGIXML_DOMDocument.h.

: m_pNode(pNode) {}
FIX::PUGIXML_DOMAttributes::m_pNode
pugi::xml_node m_pNode
Definition: PUGIXML_DOMDocument.h:42

## Member Function Documentation

## get()

bool FIX::PUGIXML_DOMAttributes::get | ( | const std::string & | name,
|  | std::string & | value
| ) |  |

virtual

Implements FIX::DOMAttributes.

Definition at line 31 of file PUGIXML_DOMDocument.cpp.

{
pugi::xml_attribute result = m_pNode.attribute(name.c_str());
if( !result ) return false;
value = result.value();
return true;
}

References m_pNode.

## toMap()

DOMAttributes::map FIX::PUGIXML_DOMAttributes::toMap | ( |  | ) |

virtual

Implements FIX::DOMAttributes.

Definition at line 39 of file PUGIXML_DOMDocument.cpp.

{
return DOMAttributes::map();
}
FIX::DOMAttributes::map
std::map< std::string, std::string > map
Definition: DOMDocument.h:38

## Member Data Documentation

## m_pNode

pugi::xml_node FIX::PUGIXML_DOMAttributes::m_pNode

private

Definition at line 42 of file PUGIXML_DOMDocument.h.

Referenced by get().

The documentation for this class was generated from the following files:

- PUGIXML_DOMDocument.h
- PUGIXML_DOMDocument.cpp